Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.reflect
Class JpaClassDescriptorFactory

    java.lang.Object
      org.apache.cayenne.reflect.PersistentDescriptorFactory
          org.apache.cayenne.reflect.pojo.EnhancedPojoDescriptorFactory
              org.apache.cayenne.jpa.reflect.JpaClassDescriptorFactory

All Implemented Interfaces:
  ClassDescriptorFactory

    public class JpaClassDescriptorFactory

extends EnhancedPojoDescriptorFactory

Field Summary

Fields inherited from class org.apache.cayenne.reflect.pojo.EnhancedPojoDescriptorFactory
`faultFactory`

Fields inherited from class org.apache.cayenne.reflect.PersistentDescriptorFactory
`descriptorMap`

Constructor Summary
`JpaClassDescriptorFactory(ClassDescriptorMap descriptorMap, FaultFactory faultFactory)`

Method Summary
`protected void` | `createToManyCollectionProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`
`protected void` | `createToManyListProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`
`protected void` | `createToManyMapProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`
`protected void` | `createToManySetProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`

Methods inherited from class org.apache.cayenne.reflect.pojo.EnhancedPojoDescriptorFactory
`createToOneProperty, getDescriptor`

Methods inherited from class org.apache.cayenne.reflect.PersistentDescriptorFactory
`createAccessor, createAttributeProperty, createDescriptor, createEmbeddableAccessor, createEmbeddedAttributeProperty, createMapKeyAccessor, getDescriptor, indexSubclassDescriptors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JpaClassDescriptorFactory

    public JpaClassDescriptorFactory(ClassDescriptorMap descriptorMap,
                                     FaultFactory faultFactory)

Method Detail

### createToManyListProperty

    protected void createToManyListProperty(PersistentDescriptor descriptor,
                                            ObjRelationship relationship)

  Overrides:
    `createToManyListProperty` in class `EnhancedPojoDescriptorFactory`

### createToManyMapProperty

    protected void createToManyMapProperty(PersistentDescriptor descriptor,
                                           ObjRelationship relationship)

  Overrides:
    `createToManyMapProperty` in class `EnhancedPojoDescriptorFactory`

### createToManySetProperty

    protected void createToManySetProperty(PersistentDescriptor descriptor,
                                           ObjRelationship relationship)

  Overrides:
    `createToManySetProperty` in class `EnhancedPojoDescriptorFactory`

### createToManyCollectionProperty

    protected void createToManyCollectionProperty(PersistentDescriptor descriptor,
                                                  ObjRelationship relationship)

  Overrides:
    `createToManyCollectionProperty` in class `EnhancedPojoDescriptorFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.